summarylogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorPhilipp A2020-05-25 19:54:18 +0200
committerPhilipp A2020-05-25 19:54:18 +0200
commita4791cad63692c8159f0e4c5ee7868df984ace3e (patch)
treea41dd25d538a253468c599c9a92a750c59feaef2 /build.sh
parent59814f37825b1de968898e8c81d3c497f4ffe349 (diff)
downloadaur-a4791cad63692c8159f0e4c5ee7868df984ace3e.tar.gz
v1.3.959
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 000000000000..7618300c0de5
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+set -e
+
+# yay -S r-testthat
+# mv /tmp/yaytmp-1000/*/*.pkg.tar.xz .cache/yay/
+
+declare -a args
+for dep in $(pactree -u r-testthat | grep '^r-'); do
+ args+=('-I' "$(ls ~/.cache/yay/$dep-*)")
+done
+
+extra-x86_64-build -- "${args[@]}"